//  +--------------------------------------------------------------------+
//  |                   ****  CONFIDENTIAL MATERIAL  ****                |
//  |        (C) Copyright 1994 by DotSoft. All rights reserved.         |
//  +--------------------------------------------------------------------+
//  |  The information contained herein is confidential, proprietary to  |
//  |  DotSoft.  You may NOT use any part of the information in this     |
//  |  file for any purpose other than in conjunction with DotSoft       |
//  |  products.                                                         |
//  +--------------------------------------------------------------------+

//  +--------------------------------------------------------------------+
//                              Main Dialog
//  +--------------------------------------------------------------------+

quickkey : dialog {
  label = "Quick Key Editor";
  : boxed_column {
    label = "List Control";
    : list_box {
      tabs = "8";
      height = 12;
      key = "keybox";
    }

    : row {
      : edit_box {
        key = "short";
        width = 5;
        fixed_width = true;
      }
      : edit_box {
        key = "long";
        width = 55;
      }
      : button {
        key = "clritm";
        label = "Clear";
      }
    }

    : row {
      : button {
        key = "update";
        label = "Update";
        width = 10;
      }
      : button {
        key = "add";
        label = "Add";
        width = 10;
      }
      : button {
        key = "del";
        label = "Delete";
        width = 10;
      }
      : button {
        key = "sort";
        label = "Sort";
        width = 10;
      }
      : button {
        key = "clrlst";
        label = "Clear";
        width = 10;
      }
      : button {
        key = "print";
        label = "Print...";
        width = 10;
      }
    }

  }

    : button {
      key = "showreg";
      label = "Important Registration Information...";
      width = 10;
    }

  : row {
    : button {
      key = "accept";
      label = "Ok";
      is_cancel = true;
      width = 10;
    }
    : button {
      key = "load";
      label = "Load...";
      width = 10;
    }
    : button {
      key = "merge";
      label = "Merge...";
      width = 10;
    }
    : button {
      key = "save";
      label = "Save...";
      width = 10;
    }
    : button {
      key = "code";
      label = "Code";
      width = 10;
    }
    : button {
      key = "showhlp";
      label = "Help...";
      width = 10;
    }
  }
}

//  +--------------------------------------------------------------------+
//                              Register Info
//  +--------------------------------------------------------------------+

showfile : dialog {
  label = "";
  key = "title";
  : list_box {
    tabs = "8 16 24 32 40 48 56 64 72";
    width = 76;
    height = 20;
    key = "txtbox";
    fixed_width = true;
  }
  : ok_button {
    is_cancel = true;
  }
}

